//--------------------------------------------------------------
// File     : main.c
// Datum    : 04.03.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.0
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der MAX5250-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_max5250.h"

int main(void)
{
  SystemInit(); // Quarz Einstellungen aktivieren

  UB_MAX5250_Init(); // Init vom MAX5250

  UB_MAX5250_SetDAC(DAC_0,0);    // DAC0 auf Minimum (0V)
  UB_MAX5250_SetDAC(DAC_1,341);  // DAC1 auf 33%     (1V)
  UB_MAX5250_SetDAC(DAC_2,682);  // DAC2 auf 66%     (2V)
  UB_MAX5250_SetDAC(DAC_3,1023); // DAC3 auf Maximum (3V)

  while(1)
  {

  }
}

